GNU bug report logs - #23366
25.0.93; Custom font still not saved

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>; Keywords: confirmed; merged with #2845, #2891, #4295, #22939; dated Mon, 25 Apr 2016 06:01:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 23366 <at> debbugs.gnu.org:


Received: (at 23366) by debbugs.gnu.org; 28 Apr 2016 17:39:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 13:39:13 2016
Received: from localhost ([127.0.0.1]:53514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avpuD-0000FB-1D
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2016 13:39:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1avpuA-0000Ep-S3
 for 23366 <at> debbugs.gnu.org; Thu, 28 Apr 2016 13:39:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1avpu4-0001fH-R0
 for 23366 <at> debbugs.gnu.org; Thu, 28 Apr 2016 13:39:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51219)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1avpu4-0001fD-NX
 for 23366 <at> debbugs.gnu.org; Thu, 28 Apr 2016 13:39:04 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1avpu3-0001kY-UT; Thu, 28 Apr 2016 13:39:04 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23366: 25.0.93; Custom font still not saved
References: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
 <834maq3zp0.fsf@HIDDEN>
 <50F611A4-CA59-406C-B4F4-032899641232@HIDDEN>
 <831t5u3yvg.fsf@HIDDEN> <83wpnm2hoo.fsf@HIDDEN>
 <wqk2jknpoe.fsf@HIDDEN>
X-Spook: Southwest Recruitment Exxon Emergency Broadcast System
X-Ran: %U|sM87o_Q+sw>vS8e+;9#ksZ?71PGz@'-"usr:j+_er+D$Ooz*^~/'=fs(}$F7u%{JItz
X-Hue: green
X-Attribution: GM
Date: Thu, 28 Apr 2016 13:39:03 -0400
In-Reply-To: <wqk2jknpoe.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 26 Apr 2016 15:19:29 -0400")
Message-ID: <nhlh3xr5u0.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 23366
Cc: 23366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


I think the actual problem is that ns-popup-font-panel returns nil,
immediately. It should wait for a font to be selected, then return that.
ns-win.el redefines x-select-font to ns-popup-font-panel.
x-select-font is documented to return the selected font.
(I have no idea how to fix it.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.

Message received at 23366 <at> debbugs.gnu.org:


Received: (at 23366) by debbugs.gnu.org; 28 Apr 2016 05:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 01:58:19 2016
Received: from localhost ([127.0.0.1]:51095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avexv-0006ii-25
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2016 01:58:19 -0400
Received: from smtptc.telefonica.com ([195.76.34.108]:12490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pedroa.aranda@HIDDEN>) id 1avexs-0006iS-KA
 for 23366 <at> debbugs.gnu.org; Thu, 28 Apr 2016 01:58:17 -0400
Received: from smtptc.telefonica.com (tgtim3c02.telefonica.com [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id CFC9860510;
 Thu, 28 Apr 2016 07:58:08 +0200 (CEST)
Received: from ESTGVMSP101.EUROPE.telefonica.corp (unknown [10.92.4.9])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (Client CN "ESTGVMSP101", Issuer "ESTGVMSP101" (not verified))
 by smtptc.telefonica.com (Postfix) with ESMTPS id B86F1603C1;
 Thu, 28 Apr 2016 07:58:08 +0200 (CEST)
Received: from emea01-db3-obe.outbound.protection.outlook.com (10.92.5.139) by
 tls.telefonica.com (10.92.6.49) with Microsoft SMTP Server (TLS) id
 14.3.235.1; Thu, 28 Apr 2016 07:58:08 +0200
Received: from DB4PR06MB0639.eurprd06.prod.outlook.com (10.161.13.145) by
 DB4PR06MB0638.eurprd06.prod.outlook.com (10.161.13.144) with Microsoft SMTP
 Server (TLS) id 15.1.485.3; Thu, 28 Apr 2016 05:58:07 +0000
Received: from DB4PR06MB0639.eurprd06.prod.outlook.com ([10.161.13.145]) by
 DB4PR06MB0639.eurprd06.prod.outlook.com ([10.161.13.145]) with mapi id
 15.01.0485.005; Thu, 28 Apr 2016 05:58:07 +0000
From: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#23366: 25.0.93; Custom font still not saved
Thread-Topic: bug#23366: 25.0.93; Custom font still not saved
Thread-Index: AQHRnre+ouV4Ko/WGE+YLA34S2Cedp+aTdEMgAAjAoD//+IN5YAAD8wggAJBIcaAAO5tgIAAeKzZgAD/DoA=
Date: Thu, 28 Apr 2016 05:58:07 +0000
Message-ID: <8BE7AF62-0FA0-4A43-9F76-EFCF10B667A8@HIDDEN>
References: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
 <834maq3zp0.fsf@HIDDEN>
 <50F611A4-CA59-406C-B4F4-032899641232@HIDDEN>
 <831t5u3yvg.fsf@HIDDEN> <83wpnm2hoo.fsf@HIDDEN>
 <wqk2jknpoe.fsf@HIDDEN>
 <756947B3-7F02-4704-8B95-0C93B2196417@HIDDEN>
 <mlwpnjgg4w.fsf@HIDDEN>
In-Reply-To: <mlwpnjgg4w.fsf@HIDDEN>
Accept-Language: es-ES, en-US
Content-Language: es-ES
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Microsoft-MacOutlook/f.15.1.160411
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=telefonica.com;
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [195.235.92.36]
x-ms-office365-filtering-correlation-id: 9a9dd8e5-a052-4862-6cc5-08d36f2a1227
x-microsoft-exchange-diagnostics: 1; DB4PR06MB0638;
 5:Sm2mMogzml/fhjbpnH9vO/xpFwr26wrFuBMjXACAu+CPcYz/Jf7MglM3FOfjQ2cjb3MKL5qs7R7kObdeuUOlOJQSZeorhaoo36Wkjp2EGPWp+yKy3YWX38rVKyVHWYuUt5GwTmoiTsI/oynlIrBxTg==;
 24:8Q/05ld40Nu7shGEB21VXufTNeZJV+hoDCUNiY+SAt8xyZRh5C4qrswcorO5KRoohs+GG7Dt6jWzN6NHsn6cNloV9/tttlnF6FP3rZfgxHU=;
 7:XKzT472BXt62dAvfNIx5OB0Mh/e+8pVzsvVuXmbDE1Tecv/2NKTPcuRI2dX9k9JYbvbBxMoWeAVSUdx08ysVpmCbPpAZYtN9TYmsTxgqlIEnMtBXwSJ2qNDwapgYkUAM9MAUsSRTOXtcm4uLLfATtjGfbD57vUDTD+jh4IRZP6AAGYrgguNdQ4U9HNc1F6tC
x-microsoft-antispam: UriScan:;BCL:0;PCL:0;RULEID:;SRVR:DB4PR06MB0638;
x-microsoft-antispam-prvs: <DB4PR06MB063867445A1C91A9E91CFF809B650@HIDDEN>
x-exchange-antispam-report-test: UriScan:;
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(9101521072)(601004)(2401047)(8121501046)(5005006)(10201501046)(3002001);
 SRVR:DB4PR06MB0638; BCL:0; PCL:0; RULEID:; SRVR:DB4PR06MB0638; 
x-forefront-prvs: 0926B0E013
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(6009001)(5423002)(24454002)(586003)(3846002)(3660700001)(36756003)(66066001)(81166005)(189998001)(3280700002)(102836003)(83716003)(6116002)(92566002)(54356999)(2906002)(50986999)(2900100001)(76176999)(110136002)(4001350100001)(1220700001)(83506001)(1096002)(93886004)(10400500002)(87936001)(5890100001)(33656002)(4326007)(11100500001)(77096005)(86362001)(106116001)(5002640100001)(575784001)(19580395003)(5004730100002)(122556002)(19580405001)(82746002)(2950100001)(5008740100001)(104396002);
 DIR:OUT; SFP:1102; SCL:1; SRVR:DB4PR06MB0638;
 H:DB4PR06MB0639.eurprd06.prod.outlook.com; FPR:; SPF:None; MLV:sfv; LANG:en; 
spamdiagnosticoutput: 1:23
spamdiagnosticmetadata: NSPM
Content-Type: text/plain; charset="utf-8"
Content-ID: <153DA0AF8292D145AFF723969C0E709C@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-originalarrivaltime: 28 Apr 2016 05:58:07.1380 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 9744600e-3e04-492e-baa1-25ec245c6f10
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB4PR06MB0638
X-OriginatorOrg: telefonica.com
X-TM-AS-GCONF: 00
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 23366
Cc: Eli Zaretskii <eliz@HIDDEN>,
 "23366 <at> debbugs.gnu.org" <23366 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

RG9u4oCZdCBrbm934oCmIEp1c3Qgc2F5aW5nIHRoYXQgaW4gbXkgY2FzZSBpdCBpcyB0aGUgdGhl
bWUgdGhhdCBjYXVzZXMgcHJvYmxlbXMgd2l0aCBzYXZpbmcgYSBjdXN0b21pc2VkIGZvbnQgYW5k
IHRoYXQgdGhlIHByb2JsZW0gaXMgcGxhdGZvcm0gaW5kZXBlbmRlbnQuIE9uY2UgSSByZW1vdmUg
dGhlIHRoZW1lLCBJIGNhbiBjaGFuZ2UgdGhlIGZvbnQgYW5kIHNhdmUgaXQgZnJvbSBjdXN0b21p
emUtZmFjZSBhbmQgZnJvbSBTZXQgRGVmYXVsdCBmb250IC0+IFNhdmUgb3B0aW9uc+KApiBpbiAq
YWxsKiB0aGUgZW52aXJvbm1lbnRzIEkgdXNlLg0KDQpCZXN0LCAvUEENCi0tLQ0KRHIuIFBlZHJv
IEEuIEFyYW5kYSBHdXRpw6lycmV6DQoNClRlY2hub2xvZ3kgRXhwbG9yYXRpb24gLQ0KTmV0d29y
ayBJbm5vdmF0aW9uICYgVmlydHVhbGlzYXRpb24NCmVtYWlsOiBwZWRyb2EgZDB0IGFyYW5kYSBB
dCB0ZWxlZm9uaWNhIGQwdCBjb20NClRlbGVmw7NuaWNhLCBJbnZlc3RpZ2FjacOzbiB5IERlc2Fy
cm9sbG8NCkMvIFp1cmJhcsOhbiwxMg0KMjgwMTAgTWFkcmlkLCBTcGFpbg0KDQpGcmFnZW4gc2lu
ZCBuaWNodCBkYSwgdW0gYmVhbnR3b3J0ZXQgenUgd2VyZGVuLg0KRnJhZ2VuIHNpbmQgZGEsIHVt
IGdlc3RlbGx0IHp1IHdlcmRlbi4NCkdlb3JnIEtyZWlzbGVyDQoNCg0KDQoNCg0KDQoNCg0KDQot
LS0tLU1lbnNhamUgb3JpZ2luYWwtLS0tLQ0KRGU6IEdsZW5uIE1vcnJpcyA8cmdtQGdudS5vcmc+
DQpGZWNoYTogbWnDqXJjb2xlcywgMjcgZGUgYWJyaWwgZGUgMjAxNiwgMTg6MzkNClBhcmE6IHBh
YWcgPHBlZHJvYS5hcmFuZGFAdGVsZWZvbmljYS5jb20+DQpDQzogRWxpIFphcmV0c2tpaSA8ZWxp
ekBnbnUub3JnPiwgIjIzMzY2QGRlYmJ1Z3MuZ251Lm9yZyIgPDIzMzY2QGRlYmJ1Z3MuZ251Lm9y
Zz4NCkFzdW50bzogUmU6IGJ1ZyMyMzM2NjogMjUuMC45MzsgQ3VzdG9tIGZvbnQgc3RpbGwgbm90
IHNhdmVkDQoNCj5QRURSTyBBTkRSRVMgQVJBTkRBIEdVVElFUlJFWiB3cm90ZToNCj4NCj4+IEkg
Zm91bmQgdGhlIGN1bHByaXTigKYgSSdtIHVzaW5nIHRoZSBhdHRhY2hlZCBiYXNlMTYtKiB0aGVt
ZS4gV2hlbiBJIHB1dA0KPj4gaXQgYXMgbXkgfi8uZW1hY3MuZC9pbml0LmVsIGZpbGUsIEkgY2Fu
J3QgY3VzdG9taXNlIHRoZSBmb250IG5laXRoZXINCj4+IGZyb20gdGhlICdPcHRpb25zLT5TZXQg
RGVmYXVsdCBGb250JyBtZW51IGl0ZW0gZm9yIGZyb20gTS14DQo+PiBjdXN0b21pemUtZmFjZXMg
LT4gZGVmYXVsdC4NCj4NCj5JIHRoaW5rIHRoaXMgaXMgdW5yZWxhdGVkIHRvIHRoZSB1bmRlcmx5
aW5nIHdpdGgtbnMgaXNzdWUgdGhhdCBvdGhlcnMNCj5oYXZlIHByZXZpb3VzbHkgcmVwb3J0ZWQg
YW5kIHdoaWNoIEFGQUlDUyBwZXJzaXN0cy4NCg0KX19fX19fX19fX19fX19fX19fX19fX19fX19f
X19fX18NCg0KRXN0ZSBtZW5zYWplIHkgc3VzIGFkanVudG9zIHNlIGRpcmlnZW4gZXhjbHVzaXZh
bWVudGUgYSBzdSBkZXN0aW5hdGFyaW8sIHB1ZWRlIGNvbnRlbmVyIGluZm9ybWFjacOzbiBwcml2
aWxlZ2lhZGEgbyBjb25maWRlbmNpYWwgeSBlcyBwYXJhIHVzbyBleGNsdXNpdm8gZGUgbGEgcGVy
c29uYSBvIGVudGlkYWQgZGUgZGVzdGluby4gU2kgbm8gZXMgdXN0ZWQuIGVsIGRlc3RpbmF0YXJp
byBpbmRpY2FkbywgcXVlZGEgbm90aWZpY2FkbyBkZSBxdWUgbGEgbGVjdHVyYSwgdXRpbGl6YWNp
w7NuLCBkaXZ1bGdhY2nDs24geS9vIGNvcGlhIHNpbiBhdXRvcml6YWNpw7NuIHB1ZWRlIGVzdGFy
IHByb2hpYmlkYSBlbiB2aXJ0dWQgZGUgbGEgbGVnaXNsYWNpw7NuIHZpZ2VudGUuIFNpIGhhIHJl
Y2liaWRvIGVzdGUgbWVuc2FqZSBwb3IgZXJyb3IsIGxlIHJvZ2Ftb3MgcXVlIG5vcyBsbyBjb211
bmlxdWUgaW5tZWRpYXRhbWVudGUgcG9yIGVzdGEgbWlzbWEgdsOtYSB5IHByb2NlZGEgYSBzdSBk
ZXN0cnVjY2nDs24uDQoNClRoZSBpbmZvcm1hdGlvbiBjb250YWluZWQgaW4gdGhpcyB0cmFuc21p
c3Npb24gaXMgcHJpdmlsZWdlZCBhbmQgY29uZmlkZW50aWFsIGluZm9ybWF0aW9uIGludGVuZGVk
IG9ubHkgZm9yIHRoZSB1c2Ugb2YgdGhlIGluZGl2aWR1YWwgb3IgZW50aXR5IG5hbWVkIGFib3Zl
LiBJZiB0aGUgcmVhZGVyIG9mIHRoaXMgbWVzc2FnZSBpcyBub3QgdGhlIGludGVuZGVkIHJlY2lw
aWVudCwgeW91IGFyZSBoZXJlYnkgbm90aWZpZWQgdGhhdCBhbnkgZGlzc2VtaW5hdGlvbiwgZGlz
dHJpYnV0aW9uIG9yIGNvcHlpbmcgb2YgdGhpcyBjb21tdW5pY2F0aW9uIGlzIHN0cmljdGx5IHBy
b2hpYml0ZWQuIElmIHlvdSBoYXZlIHJlY2VpdmVkIHRoaXMgdHJhbnNtaXNzaW9uIGluIGVycm9y
LCBkbyBub3QgcmVhZCBpdC4gUGxlYXNlIGltbWVkaWF0ZWx5IHJlcGx5IHRvIHRoZSBzZW5kZXIg
dGhhdCB5b3UgaGF2ZSByZWNlaXZlZCB0aGlzIGNvbW11bmljYXRpb24gaW4gZXJyb3IgYW5kIHRo
ZW4gZGVsZXRlIGl0Lg0KDQpFc3RhIG1lbnNhZ2VtIGUgc2V1cyBhbmV4b3Mgc2UgZGlyaWdlbSBl
eGNsdXNpdmFtZW50ZSBhbyBzZXUgZGVzdGluYXTDoXJpbywgcG9kZSBjb250ZXIgaW5mb3JtYcOn
w6NvIHByaXZpbGVnaWFkYSBvdSBjb25maWRlbmNpYWwgZSDDqSBwYXJhIHVzbyBleGNsdXNpdm8g
ZGEgcGVzc29hIG91IGVudGlkYWRlIGRlIGRlc3Rpbm8uIFNlIG7Do28gw6kgdm9zc2Egc2VuaG9y
aWEgbyBkZXN0aW5hdMOhcmlvIGluZGljYWRvLCBmaWNhIG5vdGlmaWNhZG8gZGUgcXVlIGEgbGVp
dHVyYSwgdXRpbGl6YcOnw6NvLCBkaXZ1bGdhw6fDo28gZS9vdSBjw7NwaWEgc2VtIGF1dG9yaXph
w6fDo28gcG9kZSBlc3RhciBwcm9pYmlkYSBlbSB2aXJ0dWRlIGRhIGxlZ2lzbGHDp8OjbyB2aWdl
bnRlLiBTZSByZWNlYmV1IGVzdGEgbWVuc2FnZW0gcG9yIGVycm8sIHJvZ2Ftb3MtbGhlIHF1ZSBu
b3MgbyBjb211bmlxdWUgaW1lZGlhdGFtZW50ZSBwb3IgZXN0YSBtZXNtYSB2aWEgZSBwcm9jZWRh
IGEgc3VhIGRlc3RydWnDp8Ojbw0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.

Message received at 23366 <at> debbugs.gnu.org:


Received: (at 23366) by debbugs.gnu.org; 27 Apr 2016 16:39:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 12:39:59 2016
Received: from localhost ([127.0.0.1]:50311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avSVL-00005q-HP
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 12:39:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1avSVK-00005b-AU
 for 23366 <at> debbugs.gnu.org; Wed, 27 Apr 2016 12:39:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1avSVE-0006pc-KS
 for 23366 <at> debbugs.gnu.org; Wed, 27 Apr 2016 12:39:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53126)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1avSV6-0006n3-9W; Wed, 27 Apr 2016 12:39:44 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1avSV5-00013o-Js; Wed, 27 Apr 2016 12:39:43 -0400
From: Glenn Morris <rgm@HIDDEN>
To: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>
Subject: Re: bug#23366: 25.0.93; Custom font still not saved
References: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
 <834maq3zp0.fsf@HIDDEN>
 <50F611A4-CA59-406C-B4F4-032899641232@HIDDEN>
 <831t5u3yvg.fsf@HIDDEN> <83wpnm2hoo.fsf@HIDDEN>
 <wqk2jknpoe.fsf@HIDDEN>
 <756947B3-7F02-4704-8B95-0C93B2196417@HIDDEN>
X-Spook: Albright Coast Guard MD5 Plame NOC credit card Hacker
X-Ran: mcsae?RPGsG%'q)yS|0S,EkGJPhOdKYx?wU-[3`vc~6@aHi9;>{!?&Co-H(i*}L{XQ[vsU
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 27 Apr 2016 12:39:43 -0400
In-Reply-To: <756947B3-7F02-4704-8B95-0C93B2196417@HIDDEN> (PEDRO
 ANDRES ARANDA GUTIERREZ's message of "Wed, 27 Apr 2016 07:33:20
 +0000")
Message-ID: <mlwpnjgg4w.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 23366
Cc: Eli Zaretskii <eliz@HIDDEN>,
 "23366 <at> debbugs.gnu.org" <23366 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

PEDRO ANDRES ARANDA GUTIERREZ wrote:

> I found the culprit=E2=80=A6 I'm using the attached base16-* theme. When =
I put
> it as my ~/.emacs.d/init.el file, I can't customise the font neither
> from the 'Options->Set Default Font' menu item for from M-x
> customize-faces -> default.

I think this is unrelated to the underlying with-ns issue that others
have previously reported and which AFAICS persists.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.

Message received at 23366 <at> debbugs.gnu.org:


Received: (at 23366) by debbugs.gnu.org; 27 Apr 2016 07:33:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 03:33:35 2016
Received: from localhost ([127.0.0.1]:49355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avJyZ-00055V-IJ
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 03:33:35 -0400
Received: from smtpjc.telefonica.com ([81.47.204.76]:65265)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pedroa.aranda@HIDDEN>) id 1avJyX-00055G-1W
 for 23366 <at> debbugs.gnu.org; Wed, 27 Apr 2016 03:33:34 -0400
Received: from smtpjc.telefonica.com (localhost6.localdomain6 [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id 84FAB1B876F;
 Wed, 27 Apr 2016 09:33:25 +0200 (CEST)
Received: from ESTGVMSP107.EUROPE.telefonica.corp (unknown [10.92.4.9])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (Client CN "ESTGVMSP107", Issuer "ESTGVMSP107" (not verified))
 by smtpjc.telefonica.com (Postfix) with ESMTPS id 5F5301B8768;
 Wed, 27 Apr 2016 09:33:25 +0200 (CEST)
Received: from EUR01-VE1-obe.outbound.protection.outlook.com (10.92.5.139) by
 tls.telefonica.com (10.92.6.52) with Microsoft SMTP Server (TLS) id
 14.3.235.1; Wed, 27 Apr 2016 09:33:21 +0200
Received: from DB4PR06MB0639.eurprd06.prod.outlook.com (10.161.13.145) by
 DB4PR06MB0637.eurprd06.prod.outlook.com (10.161.13.143) with Microsoft SMTP
 Server (TLS) id 15.1.485.3; Wed, 27 Apr 2016 07:33:20 +0000
Received: from DB4PR06MB0639.eurprd06.prod.outlook.com ([10.161.13.145]) by
 DB4PR06MB0639.eurprd06.prod.outlook.com ([10.161.13.145]) with mapi id
 15.01.0485.005; Wed, 27 Apr 2016 07:33:20 +0000
From: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23366: 25.0.93; Custom font still not saved
Thread-Topic: bug#23366: 25.0.93; Custom font still not saved
Thread-Index: AQHRnre+ouV4Ko/WGE+YLA34S2Cedp+aTdEMgAAjAoD//+IN5YAAD8wggAJBIcaAAO5tgA==
Date: Wed, 27 Apr 2016 07:33:20 +0000
Message-ID: <756947B3-7F02-4704-8B95-0C93B2196417@HIDDEN>
References: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
 <834maq3zp0.fsf@HIDDEN>
 <50F611A4-CA59-406C-B4F4-032899641232@HIDDEN>
 <831t5u3yvg.fsf@HIDDEN> <83wpnm2hoo.fsf@HIDDEN>
 <wqk2jknpoe.fsf@HIDDEN>
In-Reply-To: <wqk2jknpoe.fsf@HIDDEN>
Accept-Language: es-ES, en-US
Content-Language: es-ES
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
user-agent: Microsoft-MacOutlook/f.15.1.160411
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=telefonica.com;
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [195.235.92.36]
x-ms-office365-filtering-correlation-id: a8c148c0-1865-4090-4de8-08d36e6e3519
x-microsoft-exchange-diagnostics: 1; DB4PR06MB0637;
 5:oCIC8Kpw+FKYRHhSuqLQziUqGSf14i7bxjZgCEN8WUGyP97BCPQFKejxvqPltdzJ+ciMqVxrKagG9tKjag3UinwWeZR8uVmjzCVzIVUyR5q2p1iunHBEEsaZJxt/4eLjWdmau8d1Q/aLf+dOQ7xBxw==;
 24:8E4+F4+E0+PIumXj1N5CX8209r0eVSyxxuPIXuJr8RC7rS3/tFdFsELOBWRD/cAmTve9AYzL8liypdy64zPw5fQnrVATLRM1U7ge8GfXwvQ=;
 7:y+XHoqDMwH8QcnIZdqlfxYxLEVcU0BllvnKDpB3MqlZZMSfXELVJ1nJwrUlVGfUqzLLix/cVxMYTXFz/OHBVqAJoNpp4Y8B++8YdXK8m+frlNsSMROS0eNlKGZnlKfLxAP/3SxUXOo+K2eypTuvPexUPUuEmiDa+0TFd70qJOnIEe2LjRrIViT0Le0qvNAvd
x-microsoft-antispam: UriScan:;BCL:0;PCL:0;RULEID:;SRVR:DB4PR06MB0637;
x-microsoft-antispam-prvs: <DB4PR06MB0637CD17CC4AD414B30C52B99B640@HIDDEN>
x-exchange-antispam-report-test: UriScan:;
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(102415293)(102615271)(9101521072)(601004)(2401047)(8121501046)(5005006)(3002001)(10201501046);
 SRVR:DB4PR06MB0637; BCL:0; PCL:0; RULEID:; SRVR:DB4PR06MB0637; 
x-forefront-prvs: 0925081676
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(6009001)(24454002)(52314003)(5423002)(586003)(6116002)(3846002)(2906002)(19580405001)(66066001)(102836003)(19580395003)(92566002)(77096005)(122556002)(15975445007)(5002640100001)(83716003)(82746002)(4001350100001)(1720100001)(87936001)(189998001)(4326007)(2950100001)(5008740100001)(5001770100001)(99936001)(93886004)(11100500001)(33656002)(50986999)(5890100001)(76176999)(2900100001)(54356999)(10400500002)(1220700001)(86362001)(81166005)(575784001)(106116001)(5004730100002)(3660700001)(36756003)(1096002)(3280700002)(104396002);
 DIR:OUT; SFP:1102; SCL:1; SRVR:DB4PR06MB0637;
 H:DB4PR06MB0639.eurprd06.prod.outlook.com; FPR:; SPF:None; MLV:sfv; LANG:en; 
spamdiagnosticoutput: 1:23
spamdiagnosticmetadata: NSPM
Content-Type: multipart/mixed;
 boundary="_002_756947B37F0247048B950C93B2196417telefonicacom_"
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-originalarrivaltime: 27 Apr 2016 07:33:20.4586 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 9744600e-3e04-492e-baa1-25ec245c6f10
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB4PR06MB0637
X-OriginatorOrg: telefonica.com
X-TM-AS-GCONF: 00
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 23366
Cc: "23366 <at> debbugs.gnu.org" <23366 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--_002_756947B37F0247048B950C93B2196417telefonicacom_
Content-Type: text/plain; charset="utf-8"
Content-ID: <E6D10598176EA0458A0573EB9E7DA957@HIDDEN>
Content-Transfer-Encoding: base64
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--_002_756947B37F0247048B950C93B2196417telefonicacom_
Content-Type: application/octet-stream; name="base16-ashes-dark-theme.el"
Content-Description: base16-ashes-dark-theme.el
Content-Disposition: attachment; filename="base16-ashes-dark-theme.el";
	size=26208; creation-date="Wed, 27 Apr 2016 07:33:20 GMT";
	modification-date="Wed, 27 Apr 2016 07:33:20 GMT"
Content-ID: <36AD1E50C435404FB042419733F49786@HIDDEN>
Content-Transfer-Encoding: base64
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--_002_756947B37F0247048B950C93B2196417telefonicacom_--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 2845 2891 4295 22939 23366. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23366 <at> debbugs.gnu.org:


Received: (at 23366) by debbugs.gnu.org; 26 Apr 2016 19:19:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 15:19:43 2016
Received: from localhost ([127.0.0.1]:49050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1av8WM-0007rz-Sh
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2016 15:19:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1av8WL-0007ri-Ia
 for 23366 <at> debbugs.gnu.org; Tue, 26 Apr 2016 15:19:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1av8WF-0007wT-R6
 for 23366 <at> debbugs.gnu.org; Tue, 26 Apr 2016 15:19:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57013)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1av8WB-0007vv-9v; Tue, 26 Apr 2016 15:19:31 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1av8W9-00046s-BK; Tue, 26 Apr 2016 15:19:29 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23366: 25.0.93; Custom font still not saved
References: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
 <834maq3zp0.fsf@HIDDEN>
 <50F611A4-CA59-406C-B4F4-032899641232@HIDDEN>
 <831t5u3yvg.fsf@HIDDEN> <83wpnm2hoo.fsf@HIDDEN>
X-Spook: enemy of the state Law enforcement embassy quarter IRA
X-Ran: ')U--H`;gws2KGA,dwVQ|08:%T3O9KsdV=CF<HQXNU5Y3X8?6EzKqw#-5l)zn3z~@8XW>^
X-Hue: yellow
X-Attribution: GM
Date: Tue, 26 Apr 2016 15:19:29 -0400
In-Reply-To: <83wpnm2hoo.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 25 Apr
 2016 11:53:11 +0300")
Message-ID: <wqk2jknpoe.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 23366
Cc: pedroa.aranda@HIDDEN, 23366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Eli Zaretskii wrote:

>> Can anyone else please try reproducing this on a system other than OS X?
>
> For that matter, can someone explain why OS X could be special in this
> regard?  AFAICT, the code involved in this is system-independent.

But the OP says it happens on all systems (OS X, Linux, BSD)
(which seems odd to me).

Anyway, reproduced on a GNUstep build (only) on GNU/Linux.

"Set Default Font" uses ns-popup-font-panel, which does not appear to
add the 'customized-face property to the default face, so
menu-bar-options-save finds nothing to do. Probably related, it only
changes the current frame, not all frames.

In fact, this is good old http://debbugs.gnu.org/2845




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.
Merged 22939 23366. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23366 <at> debbugs.gnu.org:


Received: (at 23366) by debbugs.gnu.org; 25 Apr 2016 08:53:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 04:53:41 2016
Received: from localhost ([127.0.0.1]:45605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aucGz-0000nX-KW
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2016 04:53:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1aucGx-0000nA-Rx
 for 23366 <at> debbugs.gnu.org; Mon, 25 Apr 2016 04:53:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aucGp-0005Zg-Nw
 for 23366 <at> debbugs.gnu.org; Mon, 25 Apr 2016 04:53:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49113)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aucGp-0005ZZ-KW; Mon, 25 Apr 2016 04:53:31 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4839
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aucGo-0008M0-VV; Mon, 25 Apr 2016 04:53:31 -0400
Date: Mon, 25 Apr 2016 11:53:11 +0300
Message-Id: <83wpnm2hoo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: pedroa.aranda@HIDDEN
In-reply-to: <831t5u3yvg.fsf@HIDDEN> (message from Eli Zaretskii on Mon, 25
 Apr 2016 10:56:35 +0300)
Subject: Re: bug#23366: 25.0.93; Custom font still not saved
References: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
 <834maq3zp0.fsf@HIDDEN>
 <50F611A4-CA59-406C-B4F4-032899641232@HIDDEN>
 <831t5u3yvg.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23366
Cc: 23366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> Date: Mon, 25 Apr 2016 10:56:35 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 23366 <at> debbugs.gnu.org
> 
> Can anyone else please try reproducing this on a system other than OS X?

For that matter, can someone explain why OS X could be special in this
regard?  AFAICT, the code involved in this is system-independent.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.

Message received at 23366 <at> debbugs.gnu.org:


Received: (at 23366) by debbugs.gnu.org; 25 Apr 2016 07:57:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 03:57:05 2016
Received: from localhost ([127.0.0.1]:45562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aubOD-0007s1-Gx
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2016 03:57:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51501)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1aubOB-0007rY-Uu
 for 23366 <at> debbugs.gnu.org; Mon, 25 Apr 2016 03:57:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aubO3-0002l6-Qr
 for 23366 <at> debbugs.gnu.org; Mon, 25 Apr 2016 03:56:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48224)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aubO3-0002l2-No; Mon, 25 Apr 2016 03:56:55 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4750
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aubO3-0001wT-00; Mon, 25 Apr 2016 03:56:55 -0400
Date: Mon, 25 Apr 2016 10:56:35 +0300
Message-Id: <831t5u3yvg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>
In-reply-to: <50F611A4-CA59-406C-B4F4-032899641232@HIDDEN> (message
 from PEDRO ANDRES ARANDA GUTIERREZ on Mon, 25 Apr 2016 07:45:00 +0000)
Subject: Re: bug#23366: 25.0.93; Custom font still not saved
References: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
 <834maq3zp0.fsf@HIDDEN> <50F611A4-CA59-406C-B4F4-032899641232@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23366
Cc: 23366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> From: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>
> CC: "23366 <at> debbugs.gnu.org" <23366 <at> debbugs.gnu.org>
> Date: Mon, 25 Apr 2016 07:45:00 +0000
> >> Already reported in 25.0.92.
> >
> >Could you please point out where this was reported?  I couldn't find it.
> 
> bug#22939: Acknowledgement (25.0.92; Font management for Mac OSX broken)
> 
> Also happens in Linux and BSD with all kinds of distress...

Thanks.  Well, as I said, it doesn't reproduce on MS-Windows for me,
and I don't have access to any other system where I can run a GUI
session.

Can anyone else please try reproducing this on a system other than OS X?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.

Message received at 23366 <at> debbugs.gnu.org:


Received: (at 23366) by debbugs.gnu.org; 25 Apr 2016 07:45:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 03:45:14 2016
Received: from localhost ([127.0.0.1]:45549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aubCj-0007ag-RB
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2016 03:45:14 -0400
Received: from smtpjc.telefonica.com ([81.47.204.76]:37576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pedroa.aranda@HIDDEN>) id 1aubCg-0007aP-Rs
 for 23366 <at> debbugs.gnu.org; Mon, 25 Apr 2016 03:45:12 -0400
Received: from smtpjc.telefonica.com (tgtimjc804.telefonica.com [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id 681A4E012C;
 Mon, 25 Apr 2016 09:45:03 +0200 (CEST)
Received: from ESTGVMSP103.EUROPE.telefonica.corp (unknown [10.92.4.9])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (Client CN "ESTGVMSP103", Issuer "ESTGVMSP103" (not verified))
 by smtpjc.telefonica.com (Postfix) with ESMTPS id 514BCE012A;
 Mon, 25 Apr 2016 09:45:03 +0200 (CEST)
Received: from emea01-db3-obe.outbound.protection.outlook.com (10.92.5.139) by
 tls.telefonica.com (10.92.6.50) with Microsoft SMTP Server (TLS) id
 14.3.235.1; Mon, 25 Apr 2016 09:45:01 +0200
Received: from AM2PR06MB0628.eurprd06.prod.outlook.com (10.161.18.146) by
 AM2PR06MB0627.eurprd06.prod.outlook.com (10.161.18.145) with Microsoft SMTP
 Server (TLS) id 15.1.466.19; Mon, 25 Apr 2016 07:45:00 +0000
Received: from AM2PR06MB0628.eurprd06.prod.outlook.com ([10.161.18.146]) by
 AM2PR06MB0628.eurprd06.prod.outlook.com ([10.161.18.146]) with mapi id
 15.01.0485.005; Mon, 25 Apr 2016 07:45:01 +0000
From: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23366: 25.0.93; Custom font still not saved
Thread-Topic: bug#23366: 25.0.93; Custom font still not saved
Thread-Index: AQHRnre+ouV4Ko/WGE+YLA34S2Cedp+aTdEMgAAjAoA=
Date: Mon, 25 Apr 2016 07:45:00 +0000
Message-ID: <50F611A4-CA59-406C-B4F4-032899641232@HIDDEN>
References: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
 <834maq3zp0.fsf@HIDDEN>
In-Reply-To: <834maq3zp0.fsf@HIDDEN>
Accept-Language: es-ES, en-US
Content-Language: es-ES
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Microsoft-MacOutlook/f.15.1.160411
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=telefonica.com;
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [195.235.92.36]
x-ms-office365-filtering-correlation-id: b5028cf7-4e65-4ee6-51f7-08d36cdd81c4
x-microsoft-exchange-diagnostics: 1; AM2PR06MB0627;
 5:ZFPvXc9zEEZtoFp1XTfkOfxVLW+gEcenZy4kmNXg7xCMypdrfyrhrp65LxRsBH2lS/iYXkVSeSi5qEbDDRqIf722WQBJwHBCcRRpXGvpDbLQwgUnW7b0R7QdLQCLwn/t3xgB0lVLIA1AVHcO6Q7utyI7LGLF4nyo83acxvUopcg7G0BSIEem3iaxx4xJV8jm;
 24:Bcqqc6NEc5iJq68sPS1UZ7HoRbtSMbBTNxKsgw0CSmSK47eZpyL0tdATS22bs1EiLPp7y70FUjLpu2PTm1JOlxDs8qBzDRNDlhG2G4RK9PE=;
 7:/idq3cDLVhB0XqqW4pfeaHgcSdMMoQThnYxBSNAt97H7kCaTCDgyqxyw5G71SXKOPow08boAhr41T/iP4ZFMP7+VRPBKUY+HhJseJ8YHYPHIAcrbQP7T63Z7+LwhCwLsMiQHYQuu0Ou+0axak8gmndyCXOiwjdmC4wfneaWO2gOiLWR6y2L0s8xGFDEmNUtyaaaBt41s415ApBMhO5i0y40UVElWIH3PmGQq2EIm11c=
x-microsoft-antispam: UriScan:;BCL:0;PCL:0;RULEID:;SRVR:AM2PR06MB0627;
x-microsoft-antispam-prvs: <AM2PR06MB0627DA3E9BD7BC559854D7D89B620@HIDDEN>
x-exchange-antispam-report-test: UriScan:;
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(9101521062)(601004)(2401047)(5005006)(8121501046)(3002001)(10201501046);
 SRVR:AM2PR06MB0627; BCL:0; PCL:0; RULEID:; SRVR:AM2PR06MB0627; 
x-forefront-prvs: 0923977CCA
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(6009001)(5423002)(5008740100001)(5002640100001)(83716003)(92566002)(50986999)(110136002)(76176999)(54356999)(81166005)(102836003)(106116001)(83506001)(87936001)(189998001)(6116002)(3846002)(586003)(2950100001)(1220700001)(2900100001)(1096002)(10400500002)(36756003)(33656002)(5004730100002)(82746002)(4326007)(122556002)(2906002)(77096005)(86362001)(3660700001)(3280700002)(19580395003)(66066001)(19580405001)(104396002);
 DIR:OUT; SFP:1102; SCL:1; SRVR:AM2PR06MB0627;
 H:AM2PR06MB0628.eurprd06.prod.outlook.com; FPR:; SPF:None; MLV:sfv; LANG:en; 
spamdiagnosticoutput: 1:23
spamdiagnosticmetadata: NSPM
Content-Type: text/plain; charset="utf-8"
Content-ID: <A3144746F006A748A7A4CFE035FEB472@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-originalarrivaltime: 25 Apr 2016 07:45:00.8196 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 9744600e-3e04-492e-baa1-25ec245c6f10
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM2PR06MB0627
X-OriginatorOrg: telefonica.com
X-TM-AS-GCONF: 00
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 23366
Cc: "23366 <at> debbugs.gnu.org" <23366 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

QW5zd2VycyBpbmxpbmUsDQoNCg0KDQotLS0tLU1lbnNhamUgb3JpZ2luYWwtLS0tLQ0KRGU6IEVs
aSBaYXJldHNraWkgPGVsaXpAZ251Lm9yZz4NClJlc3BvbmRlciBhOiBFbGkgWmFyZXRza2lpIDxl
bGl6QGdudS5vcmc+DQpGZWNoYTogbHVuZXMsIDI1IGRlIGFicmlsIGRlIDIwMTYsIDk6MzgNClBh
cmE6IHBhYWcgPHBlZHJvYS5hcmFuZGFAdGVsZWZvbmljYS5jb20+DQpDQzogIjIzMzY2QGRlYmJ1
Z3MuZ251Lm9yZyIgPDIzMzY2QGRlYmJ1Z3MuZ251Lm9yZz4NCkFzdW50bzogUmU6IGJ1ZyMyMzM2
NjogMjUuMC45MzsgQ3VzdG9tIGZvbnQgc3RpbGwgbm90IHNhdmVkDQoNCj4+IEZyb206IFBFRFJP
IEFORFJFUyBBUkFOREEgR1VUSUVSUkVaIDxwZWRyb2EuYXJhbmRhQHRlbGVmb25pY2EuY29tPg0K
Pj4gRGF0ZTogTW9uLCAyNSBBcHIgMjAxNiAwNjowMDoxOCArMDAwMA0KPj4NCj4+IEFscmVhZHkg
cmVwb3J0ZWQgaW4gMjUuMC45Mi4NCj4NCj5Db3VsZCB5b3UgcGxlYXNlIHBvaW50IG91dCB3aGVy
ZSB0aGlzIHdhcyByZXBvcnRlZD8gIEkgY291bGRuJ3QgZmluZCBpdC4NCg0KYnVnIzIyOTM5OiBB
Y2tub3dsZWRnZW1lbnQgKDI1LjAuOTI7IEZvbnQgbWFuYWdlbWVudCBmb3IgTWFjIE9TWCBicm9r
ZW4pDQoNCkFsc28gaGFwcGVucyBpbiBMaW51eCBhbmQgQlNEIHdpdGggYWxsIGtpbmRzIG9mIGRp
c3RyZXNzLi4uDQoNCj4+IEkgc2V0IHRoZSBjdXN0b20gZmlsZSBhY2NvcmRpbmcgdG8gdGhlIE9T
IEknbSBydW5uaW5nIGVtYWNzIG9uLCB1c2luZyB0aGUgZm9sbG93aW5nIGNvZGU6DQo+Pg0KPj4g
KGRlZnVuIHdpbmRvdy1zeXN0ZW0tbmFtZSgpDQo+PiAoaWYgKGRpc3BsYXktZ3JhcGhpYy1wKQ0K
Pj4gKGNvbmQNCj4+ICgoZXEgc3lzdGVtLXR5cGUgJ2dudS9saW51eCkgIngiKQ0KPj4gKChlcSBz
eXN0ZW0tdHlwZSAnZGFyd2luKSAibWFjIikNCj4+ICgoZXEgc3lzdGVtLXR5cGUgJ2JlcmtlbGV5
LXVuaXgpICJic2QiKQ0KPj4gKHQgKHByb2duIChlcnJvciAiVW5zdXBwb3J0ZWQgd2luZG93LXN5
c3RlbSIpIG5pbCkpKQ0KPj4gIm5veCIpKQ0KPj4gKHNldHEgd2luZG93LWVudmlyb25tZW50ICh3
aW5kb3ctc3lzdGVtLW5hbWUpKQ0KPj4gKHNldHEgY3VzdG9tLWZpbGUgKGZvcm1hdCAifi8uZW1h
Y3MuZC8lcy1jdXN0b20uZWwiIHdpbmRvdy1lbnZpcm9ubWVudCkpDQo+PiAobG9hZCBjdXN0b20t
ZmlsZSAnbm9lcnJvcikNCj4+DQo+PiBXaGVuIEkgc2V0IHRoZSBmb250IHRocm91Z2gNCj4+IE9w
dGlvbnMtPlNldCBEZWZhdWx0IEZvbnQNCj4+IFRoZSBmb250IHdpbGwgYmUgY2hhbmdlZCBmb3Ig
dGhlIHNlc3Npb24uIEhvd2V2ZXIsIHdoZW4gSSB0cnkgdG8gc2F2ZSBpdCB3aXRoDQo+PiBPcHRp
b25zLT5TYXZlIE9wdGlvbnMNCj4+DQo+PiBJdCB3aWxsIG5vdCBiZSBzYXZlZCBpbiAuZW1hY3Mu
ZC8kU1lTVEVNLWN1c3RvbS5lbA0KPj4NCj4+IEFjdHVhbGx5LCB0aGUgY3VzdG9tLXNldC1mYWNl
cyBjb21tYW5kIHdpbGwgYmUgZW1wdHkuIEhhcHBlbnMgb24gYWxsIHN5c3RlbXMuDQo+DQo+SSBj
YW5ub3QgcmVwcm9kdWNlIHRoaXMgb24gbXkgc3lzdGVtIChNUy1XaW5kb3dzKSB3aXRoIHRoZSBs
YXRlc3QNCj5lbWFjcy0yNSBicmFuY2ggYW5kIHdpdGggc3RvY2sgRW1hY3MgMjUuMC45My4gIFdo
ZW4gSSBzZXQgY3VzdG9tLWZpbGUNCj50byBzb21lIGZpbGUgbmFtZSwgdGhlbiBzZWxlY3QgIlNl
dCBEZWZhdWx0IEZvbnQiIGZyb20gdGhlIG1lbnUgYmFyLA0KPmFuZCBmaW5hbGx5IGNsaWNrICJP
cHRpb25zLT5TYXZlIE9wdGlvbnMiLCBJIHNlZSBhIG1lc3NhZ2UgaW4gdGhlIGVjaG8NCj5hcmVh
IHNheWluZyB0aGF0IHRoZSBjdXN0b20tZmlsZSB3YXMgd3JpdHRlbiAoaXQgc2hvd3MgdGhlIGV4
YWN0IG5hbWUNCj5JIHNldCBjdXN0b20tZmlsZSB0byksIGFuZCBpbiB0aGUgY3VzdG9tLWZpbGUg
SSBzZWUgdGhpcyBwYXJ0Og0KPg0KPiAgKGN1c3RvbS1zZXQtZmFjZXMNCj4gICA7OyBjdXN0b20t
c2V0LWZhY2VzIHdhcyBhZGRlZCBieSBDdXN0b20uDQo+ICAgOzsgSWYgeW91IGVkaXQgaXQgYnkg
aGFuZCwgeW91IGNvdWxkIG1lc3MgaXQgdXAsIHNvIGJlIGNhcmVmdWwuDQo+ICAgOzsgWW91ciBp
bml0IGZpbGUgc2hvdWxkIGNvbnRhaW4gb25seSBvbmUgc3VjaCBpbnN0YW5jZS4NCj4gICA7OyBJ
ZiB0aGVyZSBpcyBtb3JlIHRoYW4gb25lLCB0aGV5IHdvbid0IHdvcmsgcmlnaHQuDQo+ICAgJyhk
ZWZhdWx0ICgodCAoOmZhbWlseSAiQXJpYWwgVW5pY29kZSBNUyIgOmZvdW5kcnkgIm91dGxpbmUi
IDpzbGFudCBub3JtYWwgOndlaWdodCBub3JtYWwgOmhlaWdodCA5OCA6d2lkdGggbm9ybWFsKSkp
KSkNCj4NCj4oQXJpYWwgVW5pY29kZSBNUyBpcyB0aGUgZm9udCBJIHNlbGVjdGVkLikNCj4NCj5T
byB0aGVyZSdzIHNvbWV0aGluZyBlbHNlIGluIHlvdXIgY3VzdG9taXphdGlvbnMgb3IgeW91ciBp
bml0IGZpbGVzDQo+dGhhdCBwcmV2ZW50cyB0aGlzIGZyb20gd29ya2luZy4gIFBsZWFzZSBsb29r
IGNsb3NlciBhdCB0aG9zZQ0KPmN1c3RvbWl6YXRpb25zIGFuZCB0cnkgdG8gZmluZCB0aGUgY3Vs
cHJpdC4NCj4NCj5UaGFua3MuDQoNCl9fX19fX19fX19fX19fX19fX19fX19fX19fX19fX19fDQoN
CkVzdGUgbWVuc2FqZSB5IHN1cyBhZGp1bnRvcyBzZSBkaXJpZ2VuIGV4Y2x1c2l2YW1lbnRlIGEg
c3UgZGVzdGluYXRhcmlvLCBwdWVkZSBjb250ZW5lciBpbmZvcm1hY2nDs24gcHJpdmlsZWdpYWRh
IG8gY29uZmlkZW5jaWFsIHkgZXMgcGFyYSB1c28gZXhjbHVzaXZvIGRlIGxhIHBlcnNvbmEgbyBl
bnRpZGFkIGRlIGRlc3Rpbm8uIFNpIG5vIGVzIHVzdGVkLiBlbCBkZXN0aW5hdGFyaW8gaW5kaWNh
ZG8sIHF1ZWRhIG5vdGlmaWNhZG8gZGUgcXVlIGxhIGxlY3R1cmEsIHV0aWxpemFjacOzbiwgZGl2
dWxnYWNpw7NuIHkvbyBjb3BpYSBzaW4gYXV0b3JpemFjacOzbiBwdWVkZSBlc3RhciBwcm9oaWJp
ZGEgZW4gdmlydHVkIGRlIGxhIGxlZ2lzbGFjacOzbiB2aWdlbnRlLiBTaSBoYSByZWNpYmlkbyBl
c3RlIG1lbnNhamUgcG9yIGVycm9yLCBsZSByb2dhbW9zIHF1ZSBub3MgbG8gY29tdW5pcXVlIGlu
bWVkaWF0YW1lbnRlIHBvciBlc3RhIG1pc21hIHbDrWEgeSBwcm9jZWRhIGEgc3UgZGVzdHJ1Y2Np
w7NuLg0KDQpUaGUgaW5mb3JtYXRpb24gY29udGFpbmVkIGluIHRoaXMgdHJhbnNtaXNzaW9uIGlz
IHByaXZpbGVnZWQgYW5kIGNvbmZpZGVudGlhbCBpbmZvcm1hdGlvbiBpbnRlbmRlZCBvbmx5IGZv
ciB0aGUgdXNlIG9mIHRoZSBpbmRpdmlkdWFsIG9yIGVudGl0eSBuYW1lZCBhYm92ZS4gSWYgdGhl
IHJlYWRlciBvZiB0aGlzIG1lc3NhZ2UgaXMgbm90IHRoZSBpbnRlbmRlZCByZWNpcGllbnQsIHlv
dSBhcmUgaGVyZWJ5IG5vdGlmaWVkIHRoYXQgYW55IGRpc3NlbWluYXRpb24sIGRpc3RyaWJ1dGlv
biBvciBjb3B5aW5nIG9mIHRoaXMgY29tbXVuaWNhdGlvbiBpcyBzdHJpY3RseSBwcm9oaWJpdGVk
LiBJZiB5b3UgaGF2ZSByZWNlaXZlZCB0aGlzIHRyYW5zbWlzc2lvbiBpbiBlcnJvciwgZG8gbm90
IHJlYWQgaXQuIFBsZWFzZSBpbW1lZGlhdGVseSByZXBseSB0byB0aGUgc2VuZGVyIHRoYXQgeW91
IGhhdmUgcmVjZWl2ZWQgdGhpcyBjb21tdW5pY2F0aW9uIGluIGVycm9yIGFuZCB0aGVuIGRlbGV0
ZSBpdC4NCg0KRXN0YSBtZW5zYWdlbSBlIHNldXMgYW5leG9zIHNlIGRpcmlnZW0gZXhjbHVzaXZh
bWVudGUgYW8gc2V1IGRlc3RpbmF0w6FyaW8sIHBvZGUgY29udGVyIGluZm9ybWHDp8OjbyBwcml2
aWxlZ2lhZGEgb3UgY29uZmlkZW5jaWFsIGUgw6kgcGFyYSB1c28gZXhjbHVzaXZvIGRhIHBlc3Nv
YSBvdSBlbnRpZGFkZSBkZSBkZXN0aW5vLiBTZSBuw6NvIMOpIHZvc3NhIHNlbmhvcmlhIG8gZGVz
dGluYXTDoXJpbyBpbmRpY2FkbywgZmljYSBub3RpZmljYWRvIGRlIHF1ZSBhIGxlaXR1cmEsIHV0
aWxpemHDp8OjbywgZGl2dWxnYcOnw6NvIGUvb3UgY8OzcGlhIHNlbSBhdXRvcml6YcOnw6NvIHBv
ZGUgZXN0YXIgcHJvaWJpZGEgZW0gdmlydHVkZSBkYSBsZWdpc2xhw6fDo28gdmlnZW50ZS4gU2Ug
cmVjZWJldSBlc3RhIG1lbnNhZ2VtIHBvciBlcnJvLCByb2dhbW9zLWxoZSBxdWUgbm9zIG8gY29t
dW5pcXVlIGltZWRpYXRhbWVudGUgcG9yIGVzdGEgbWVzbWEgdmlhIGUgcHJvY2VkYSBhIHN1YSBk
ZXN0cnVpw6fDo28NCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.

Message received at 23366 <at> debbugs.gnu.org:


Received: (at 23366) by debbugs.gnu.org; 25 Apr 2016 07:39:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 03:39:23 2016
Received: from localhost ([127.0.0.1]:45545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aub75-0007R7-3X
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2016 03:39:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1aub73-0007Qr-Hj
 for 23366 <at> debbugs.gnu.org; Mon, 25 Apr 2016 03:39:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aub6v-00073s-7f
 for 23366 <at> debbugs.gnu.org; Mon, 25 Apr 2016 03:39:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47981)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aub6v-00073o-46; Mon, 25 Apr 2016 03:39:13 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4691
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aub6u-0006wd-93; Mon, 25 Apr 2016 03:39:12 -0400
Date: Mon, 25 Apr 2016 10:38:51 +0300
Message-Id: <834maq3zp0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>
In-reply-to: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN> (message
 from PEDRO ANDRES ARANDA GUTIERREZ on Mon, 25 Apr 2016 06:00:18 +0000)
Subject: Re: bug#23366: 25.0.93; Custom font still not saved
References: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23366
Cc: 23366 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> From: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>
> Date: Mon, 25 Apr 2016 06:00:18 +0000
> 
> Already reported in 25.0.92.

Could you please point out where this was reported?  I couldn't find it.

> I set the custom file according to the OS I'm running emacs on, using the following code:
> 
> (defun window-system-name()
> (if (display-graphic-p)
> (cond
> ((eq system-type 'gnu/linux) "x")
> ((eq system-type 'darwin) "mac")
> ((eq system-type 'berkeley-unix) "bsd")
> (t (progn (error "Unsupported window-system") nil)))
> "nox"))
> (setq window-environment (window-system-name))
> (setq custom-file (format "~/.emacs.d/%s-custom.el" window-environment))
> (load custom-file 'noerror)
> 
> When I set the font through
> Options->Set Default Font
> The font will be changed for the session. However, when I try to save it with
> Options->Save Options
> 
> It will not be saved in .emacs.d/$SYSTEM-custom.el
> 
> Actually, the custom-set-faces command will be empty. Happens on all systems.

I cannot reproduce this on my system (MS-Windows) with the latest
emacs-25 branch and with stock Emacs 25.0.93.  When I set custom-file
to some file name, then select "Set Default Font" from the menu bar,
and finally click "Options->Save Options", I see a message in the echo
area saying that the custom-file was written (it shows the exact name
I set custom-file to), and in the custom-file I see this part:

  (custom-set-faces
   ;; custom-set-faces was added by Custom.
   ;; If you edit it by hand, you could mess it up, so be careful.
   ;; Your init file should contain only one such instance.
   ;; If there is more than one, they won't work right.
   '(default ((t (:family "Arial Unicode MS" :foundry "outline" :slant normal :weight normal :height 98 :width normal)))))

(Arial Unicode MS is the font I selected.)

So there's something else in your customizations or your init files
that prevents this from working.  Please look closer at those
customizations and try to find the culprit.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Apr 2016 06:00:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 02:00:43 2016
Received: from localhost ([127.0.0.1]:45475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auZZb-00055y-1x
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2016 02:00:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pedroa.aranda@HIDDEN>) id 1auZZY-00055m-Ou
 for submit <at> debbugs.gnu.org; Mon, 25 Apr 2016 02:00:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pedroa.aranda@HIDDEN>) id 1auZZR-0004Ev-ER
 for submit <at> debbugs.gnu.org; Mon, 25 Apr 2016 02:00:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44857)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pedroa.aranda@HIDDEN>) id 1auZZR-0004Er-AK
 for submit <at> debbugs.gnu.org; Mon, 25 Apr 2016 02:00:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43046)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pedroa.aranda@HIDDEN>) id 1auZZP-0003LZ-92
 for bug-gnu-emacs@HIDDEN; Mon, 25 Apr 2016 02:00:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pedroa.aranda@HIDDEN>) id 1auZZL-0004EX-1P
 for bug-gnu-emacs@HIDDEN; Mon, 25 Apr 2016 02:00:31 -0400
Received: from smtpjc.telefonica.com ([81.47.204.76]:18995)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pedroa.aranda@HIDDEN>) id 1auZZK-0004D4-J2
 for bug-gnu-emacs@HIDDEN; Mon, 25 Apr 2016 02:00:26 -0400
Received: from smtpjc.telefonica.com (localhost6.localdomain6 [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id 7E4051B85AB
 for <bug-gnu-emacs@HIDDEN>; Mon, 25 Apr 2016 08:00:20 +0200 (CEST)
Received: from ESTGVMSP112.EUROPE.telefonica.corp (unknown [10.92.4.9])
 (using TLSv1 with cipher AES256-SHA (256/256 bits))
 (Client CN "ESTGVMSP112", Issuer "ESTGVMSP112" (not verified))
 by smtpjc.telefonica.com (Postfix) with ESMTPS id 6631A1B856A
 for <bug-gnu-emacs@HIDDEN>; Mon, 25 Apr 2016 08:00:20 +0200 (CEST)
Received: from emea01-db3-obe.outbound.protection.outlook.com (10.92.5.139) by
 tls.telefonica.com (10.93.6.54) with Microsoft SMTP Server (TLS) id
 14.3.235.1; Mon, 25 Apr 2016 08:00:19 +0200
Received: from AM2PR06MB0628.eurprd06.prod.outlook.com (10.161.18.146) by
 AM2PR06MB0627.eurprd06.prod.outlook.com (10.161.18.145) with Microsoft SMTP
 Server (TLS) id 15.1.466.19; Mon, 25 Apr 2016 06:00:18 +0000
Received: from AM2PR06MB0628.eurprd06.prod.outlook.com ([10.161.18.146]) by
 AM2PR06MB0628.eurprd06.prod.outlook.com ([10.161.18.146]) with mapi id
 15.01.0485.005; Mon, 25 Apr 2016 06:00:18 +0000
From: PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 25.0.93; Custom font still not saved
Thread-Topic: 25.0.93; Custom font still not saved
Thread-Index: AQHRnre+ouV4Ko/WGE+YLA34S2Cedg==
Date: Mon, 25 Apr 2016 06:00:18 +0000
Message-ID: <1177F104-BBC7-4CB2-B98F-63C3F4366955@HIDDEN>
Accept-Language: es-ES, en-US
Content-Language: es-ES
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Microsoft-MacOutlook/f.15.1.160411
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=telefonica.com;
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [195.235.92.36]
x-ms-office365-filtering-correlation-id: 2a83b55b-6308-4f07-dfcd-08d36ccee11d
x-microsoft-exchange-diagnostics: 1; AM2PR06MB0627;
 5:YDfMKOn3Eo3Jc9LjtJu6ktjolUYGu2BA7RT3Oq+saWD8Vw9gz2KPC5tmRH/JbLACbuIZBZvPgipM8c1lOsTfPxBSUYqc4ylyh5Rdp4hiKjW4IKdigPN5kOkqj1yU1bKB6SpoVjFng8bPs7nsYwz/eK00ahCs43yWmrmkwY8H019I9+Now8+OnAfkFKX19fim;
 24:wN/xse1cW6rmv5VijQy5cjzUawLHlVu04tFwHmztmwP7Pp6ZDu/jmv7EgAEO4b4ws4bL30rn0VXMb7377okqBUivwOjtXKy1i6HgXIJYU68=;
 7:jvGWJC2JyafNItOpZwaxJmXDiQXtWQx0UdaXjOWsVXieiDw2WJqhqUTSpw/LUi9NxQEoP8op6peKZo+unror3jPPXWDrVOW6OFntD1ZsGj2GYlAxxBs3J39TUW8AS4s7Jcivk1MfteXZ91AB121juoUedgvaRg2ieyuqbeyXdbz/IkKVo8dqDiWqD5XU6jL8Po9IBBOujgCZYHnilkTf2E7C9aC63YsemqD1fj+6CU8=
x-microsoft-antispam: UriScan:;BCL:0;PCL:0;RULEID:;SRVR:AM2PR06MB0627;
x-microsoft-antispam-prvs: <AM2PR06MB0627941DAD7FBFCB1A8D99B59B620@HIDDEN>
x-exchange-antispam-report-test: UriScan:;
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(9101521062)(601004)(2401047)(5005006)(8121501046)(3002001)(10201501046);
 SRVR:AM2PR06MB0627; BCL:0; PCL:0; RULEID:; SRVR:AM2PR06MB0627; 
x-forefront-prvs: 0923977CCA
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(6009001)(5423002)(377424004)(122556002)(16236675004)(2906002)(77096005)(575784001)(86362001)(10400500002)(36756003)(551544002)(82746002)(11100500001)(5004730100002)(33656002)(3280700002)(19580395003)(66066001)(3660700001)(450100001)(81166005)(107886002)(54356999)(5002640100001)(5008740100001)(83716003)(50986999)(110136002)(5640700001)(92566002)(586003)(6116002)(3846002)(189998001)(2900100001)(1096002)(1220700001)(102836003)(83506001)(106116001)(2501003)(87936001)(2351001)(229853001)(104396002);
 DIR:OUT; SFP:1102; SCL:1; SRVR:AM2PR06MB0627;
 H:AM2PR06MB0628.eurprd06.prod.outlook.com; FPR:; SPF:None; MLV:sfv; LANG:en; 
spamdiagnosticoutput: 1:23
spamdiagnosticmetadata: NSPM
Content-Type: multipart/alternative;
 boundary="_000_1177F104BBC74CB2B98F63C3F4366955telefonicacom_"
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-originalarrivaltime: 25 Apr 2016 06:00:18.0578 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 9744600e-3e04-492e-baa1-25ec245c6f10
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM2PR06MB0627
X-OriginatorOrg: telefonica.com
X-TM-AS-GCONF: 00
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--_000_1177F104BBC74CB2B98F63C3F4366955telefonicacom_
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
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--_000_1177F104BBC74CB2B98F63C3F4366955telefonicacom_
Content-Type: text/html; charset="utf-8"
Content-ID: <E15D6DDB92D7A246AC8D66118D9B6BEE@HIDDEN>
Content-Transfer-Encoding: base64
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--_000_1177F104BBC74CB2B98F63C3F4366955telefonicacom_--





Acknowledgement sent to PEDRO ANDRES ARANDA GUTIERREZ <pedroa.aranda@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23366; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 28 Apr 2016 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.